function presents(eta)
%PRESENTS Presents a parametric model on the screen.
%
%	presents(TH)
%
%	This function displays the model TH together with its standard 
%	deviations, loss function and Akaike's Final Prediction Error 
%	criterion (FPE).
%	
%	TH is defined in format for general state-space models, described
%	by HELP TH.

%	L. Ljung 10-2-90,8-27-94
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.4 $  $Date: 1995/05/02 16:32:08 $

[nr,nc]=size(eta);
T=gett(eta);
pars=th2par(eta);
if any(abs(imag(pars))>eps)
   disp(['This state-space model has complex-valued parameters.'])
   disp(['Use TH2SS to display it instead.'])
   return
end
nd=eta(1,5);
time=eta(2,2:6);
cmd=eta(2,7);
s=1:8;text(1,s)='MS2TH   ';text(2,s)='MF2TH   '; text(3,s)='PEM     ';
text(4,s)='CANSTART';text(5,s)='FIXPAR  '; text(6,s)='UNFIXPAR';
text(7,s)='THINIT  ';text(30,s)='N4SID   ';

disp(['This matrix was created by the command ' text(eta(2,7)-20,:) ' on '...
 int2str(eta(2,3)) '/' int2str(eta(2,4)) ' ' int2str(eta(2,2)*100) ' at '...
 int2str(eta(2,5)) ':' int2str(eta(2,6))])
if T>0,disp(['Loss fcn: ' num2str(eta(1,1)) '   Akaike''s FPE: ' num2str(eta(2,1)) ...
' Discrete time model with sampling interval ' num2str(T)])
else disp(['Loss fcn: ' num2str(eta(1,1)) '   Akaike''s FPE: ' num2str(eta(2,1))...
 ' Continuous time model estimated using sampling interval ' num2str(-T)]),end
if eta(2,7)==50
disp(['The state-space matrices are'])
else
disp(['The state-space matrices with standard deviations given as imaginary parts are'])
end
[a,b,c,d,k,x0,da,db,dc,dd,dk,dx0]=eta2ss(eta);
[par,covp,lambda]=th2par(eta);
i=sqrt(-1);
a=a+i*da
b=b+i*db
c=c+i*dc
d=d+i*dd
k=k+i*dk
x0=x0+i*dx0
lambda
